# Generated by Django 3.2 on 2021-06-02 13:36

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    replaces = [
        ("quiz", "0002_auto_20210601_1537"),
        ("quiz", "0003_auto_20210601_1549"),
        ("quiz", "0004_auto_20210602_1247"),
    ]

    dependencies = [
        ("quiz", "0001_refactor_sport_and_add_criteria"),
    ]

    operations = [
        migrations.AlterField(
            model_name="criterionrating",
            name="rating",
            field=models.IntegerField(
                validators=[
                    django.core.validators.MaxValueValidator(10),
                    django.core.validators.MinValueValidator(1),
                ]
            ),
        ),
        migrations.CreateModel(
            name="KnowledgeSnack",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("text", models.TextField()),
                ("image", models.ImageField(max_length=200, null=True, upload_to="")),
            ],
        ),
        migrations.CreateModel(
            name="CallToMove",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("image", models.ImageField(max_length=200, null=True, upload_to="")),
                ("text", models.TextField(default="")),
            ],
        ),
    ]
